Bug 559200 - [docs] commandline nfs mount options in RHEL5 not documented
[docs] commandline nfs mount options in RHEL5 not documented
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ales Kozumplik
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-27 07:31 EST by Alexander Todorov
Modified: 2014-09-30 19:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-11.1.2.210-1
Doc Type: Bug Fix
Doc Text:
* Previously, the ks=nfs and method=nfs boot options were not documented in the command-line.txt file. Users had to consult documentation outside anaconda itself to learn how to use these boot options. In this release, the ks=nfs and method=nfs boot options are documented, reducing the requirement for users to resort to other documentation to use these boot options. (#559200)
Story Points: ---
Clone Of: 432603
Environment:
Last Closed: 2011-01-13 16:54:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2010-01-27 07:31:59 EST
+++ This bug was initially created as a clone of Bug #432603 +++

--- Additional comment from tao@redhat.com on 2008-07-18 14:34:03 EEST ---

I confirmed that I could identify the nfs option with
method=nfs:tcp:nfsserver.example.com:/rhel5/trees.

---

command-line.txt file in anaconda sources doesn't document the existence of nfs mount options for the method command line parameter. It documents those only for the ks parameter.

How to reproduce:
$ grep nfs /usr/share/doc/anaconda-11.1.2.195/command-line.txt 
ks=nfs(:options):<path>   Kickstart from NFS.  NFS mount options are optional.
method=nfs:<path> Use <path> for an NFS installation.


Please document the options syntax. NFS mount options support was added with bug #432603
Comment 3 RHEL Product and Program Management 2010-07-01 22:49:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Ales Kozumplik 2010-07-15 08:04:34 EDT
patch sent for a review.
Comment 5 Ales Kozumplik 2010-07-19 06:44:42 EDT
Fixed by 8e3c69bf1fcf269845ec00d588c673336f6dd6cd, anaconda-11.1.2.210-1.
Comment 7 Alexander Todorov 2010-10-01 09:53:13 EDT
anaconda-11.1.2.216-1

$ grep nfs /usr/share/doc/anaconda-11.1.2.216/command-line.txt 
ks=nfs(:options):<path>   Kickstart from NFS.  NFS mount options are optional.
method=nfs(:options):<path> Use <path> for an NFS installation. NFS mount 

The file reads:
method=nfs(:options):<path> Use <path> for an NFS installation. NFS mount 
                options are optional.

Moving to VERIFIED.
Comment 8 Ruediger Landmann 2011-01-11 21:37:18 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
* Previously, the ks=nfs and method=nfs boot options were not documented 
in the command-line.txt file. Users had to consult documentation outside 
anaconda itself to learn how to use these boot options. In this release, 
the ks=nfs and method=nfs boot options are documented, reducing the 
requirement for users to resort to other documentation to use these boot 
options. (#559200)
Comment 10 errata-xmlrpc 2011-01-13 16:54:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0030.html

Note You need to log in before you can comment on or make changes to this bug.